# full version number as seen on youtube-dl website
%define	verlong	2018.12.09

# transform version so we don't have to bump epoch after four digit upgrades:
# 2013.01.17.1 becomes 20130117_1
# 2013.01.28   becomes 20130128
# $ rpmvercmp 20130117_1 20130128
# 20130117_1 < 20130128
%define	ver	%(echo %{verlong} | awk -F. 'NF == 3 {printf("%s%s%s", $1, $2, $3)} NF == 4 {printf("%s%s%s_%s", $1, $2, $3, $4)}')
Summary:	Video extraction utility for YouTube
Summary(pl.UTF-8):	Narzędzie do wydobywania filmów z YouTube
Name:		youtube-dl
Version:	%{ver}
Release:	1
Epoch:		2
License:	Public Domain
Group:		Applications/System
Source0:	http://youtube-dl.org/downloads/%{verlong}/%{name}-%{verlong}.tar.gz
# Source0-md5:	234e0b1980a0fc92585290cf58861a7a
Source1:	%{name}.conf
# should be downloaded from:
# https://github.com/rg3/youtube-dl/pull/10291.diff
# but the author removed his repository, so the url is 404
# git log -p --reverse pr/10291~3..pr/10291
Patch0:		10291.diff
URL:		http://youtube-dl.org/
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.720
Requires:	python-pyxattr >= 0.5.0
Requires:	python-setuptools
Suggests:	ffmpeg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
youtube-dl is a small command-line program to download videos from
YouTube.com.

%description -l pl.UTF-8
youtube-dl jest programem do ściągania plików video z YouTube.com.

%package -n bash-completion-%{name}
Summary:	Bash completion for youtube-dl command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
Bash completion for youtube-dl command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia youtube-dl.

%package -n fish-completion-%{name}
Summary:	Fish completion for youtube-dl command
Summary(pl.UTF-8):	Dopełnianie parametrów w fish dla polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	fish

%description -n fish-completion-%{name}
Fish completion for youtube-dl command.

%description -n fish-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów w fish dla polecenia youtube-dl.

%package -n zsh-completion-%{name}
Summary:	Zsh completion for youtube-dl command
Summary(pl.UTF-8):	Dopełnianie parametrów w zsh dla polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zsh

%description -n zsh-completion-%{name}
Zsh completion for youtube-dl command.

%description -n zsh-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów w zsh dla polecenia youtube-dl.

%prep
%setup -qc
mv %{name} .tmp; mv .tmp/* .
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install
%py_postclean

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

install -d $RPM_BUILD_ROOT{%{bash_compdir},%{fish_compdir},%{zsh_compdir}}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/bash_completion.d/youtube-dl.bash-completion \
	$RPM_BUILD_ROOT%{bash_compdir}/%{name}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/fish/completions/youtube-dl.fish \
	$RPM_BUILD_ROOT%{fish_compdir}/%{name}.fish
cp -p youtube-dl.zsh $RPM_BUILD_ROOT%{zsh_compdir}/_youtube-dl
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/youtube_dl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/youtube-dl.conf
%attr(755,root,root) %{_bindir}/youtube-dl
%{_mandir}/man1/youtube-dl.1*
%{py_sitescriptdir}/youtube_dl
%{py_sitescriptdir}/youtube_dl-*-py*.egg-info

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}

%files -n fish-completion-%{name}
%defattr(644,root,root,755)
%{fish_compdir}/%{name}.fish

%files -n zsh-completion-%{name}
%defattr(644,root,root,755)
%{zsh_compdir}/_youtube-dl
%changelog
* Tue Dec 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/youtube-dl.git;a=log;h=master

* Tue Dec 11 2018 Adam Gołębiowski <adamg@pld-linux.org> 8b1a723
- updated to 2018.12.09

* Tue Dec 04 2018 Adam Gołębiowski <adamg@pld-linux.org> c86d5fd
- updated to 2018.12.03

* Sat Nov 24 2018 Adam Gołębiowski <adamg@pld-linux.org> bbb3d6e
- updated to 2018.11.23

* Sun Nov 18 2018 Adam Gołębiowski <adamg@pld-linux.org> f094d9a
- updated to 2018.11.18

* Wed Nov 07 2018 mis <mistoo@gmail.com> f347934
- up to 2018.11.07

* Sun Nov 04 2018 Elan Ruusamäe <glen@pld-linux.org> 358adc6
- up to 2018.11.03

* Tue Oct 30 2018 Adam Gołębiowski <adamg@pld-linux.org> 0f4315e
- updated to 2018.10.29

* Fri Oct 19 2018 Adam Osuchowski <adwol@pld-linux.org> 04a0d79
- up to 2018.10.05

* Wed Oct 03 2018 Elan Ruusamäe <glen@pld-linux.org> 56cb98c
- other _compdir also provided by macros

* Wed Oct 03 2018 Elan Ruusamäe <glen@pld-linux.org> fecb6f8
- use fish_compdir /usr/share/fish/vendor_completions.d from rpm-build-macros

* Wed Oct 03 2018 Elan Ruusamäe <glen@pld-linux.org> 873019f
- suggest ffmpeg for ffprobe

* Sat Sep 08 2018 Jan Palus <atler@pld-linux.org> 46ccec5
- up to 2018.09.08

* Sun Sep 02 2018 Adam Gołębiowski <adamg@pld-linux.org> c852fd7
- updated to 2018.09.01

* Mon Jul 30 2018 Elan Ruusamäe <glen@pld-linux.org> db63273
- up to 2018.07.29

* Fri Jul 13 2018 Adam Gołębiowski <adamg@pld-linux.org> 0e0af68
- updated to 2018.07.10

* Tue Jun 26 2018 Adam Osuchowski <adwol@pld-linux.org> 9680c62
- up to 2018.06.25

* Sat May 26 2018 Adam Osuchowski <adwol@pld-linux.org> 87e1ee9
- up to 2018.05.26

* Sun May 06 2018 Adam Osuchowski <adwol@pld-linux.org> 3e0eba3
- up to 2018.05.01

* Sat Apr 07 2018 Adam Osuchowski <adwol@pld-linux.org> dd7fb17
- up to 2018.04.03

* Sun Mar 04 2018 Adam Osuchowski <adwol@pld-linux.org> aac085f
- up to 2018.03.03

